
import storage
import board
import digitalio

# Optional safety switch so you don't lock yourself out
switch = digitalio.DigitalInOut(board.GP15)
switch.pull = digitalio.Pull.UP

# If button NOT pressed at boot → hide USB drive
if switch.value:
    storage.disable_usb_drive()